Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
%define fedora 37
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		quicksynergy
Version:	0.8.1
Release:	alt2_30
Summary:	Share keyboard and mouse between computers

License:	GPLv2+        
URL:		http://quicksynergy.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop

BuildRequires:  gcc
BuildRequires:	synergy1
BuildRequires:	gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-tools
Requires:	synergy1       
Source44: import.info

%description
QuickSynergy is a graphical interface (GUI) for easily configuring Synergy2,
an application that allows the user to share his mouse and keyboard between
two or more computers.


%prep
%setup -q


%build
%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 src/logo/qslogo.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
	--vendor="fedora"	\
%endif
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications	\
	%{SOURCE1}

%find_lang %{name}


%files -f %{name}.lang
%doc ChangeLog COPYING AUTHORS README
%{_bindir}/quicksynergy
%{_datadir}/pixmaps/qslogo.png
%if 0%{?fedora} && 0%{?fedora} < 19
%{_datadir}/applications/fedora-quicksynergy.desktop
%else
%{_datadir}/applications/quicksynergy.desktop
%endif

%changelog
* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.8.1-alt2_30
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.8.1-alt2_29
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.8.1-alt2_28
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.8.1-alt2_27
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.8.1-alt2_26
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.8.1-alt2_25
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt2_24
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_24
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_22
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_21
- update to new release by fcimport

* Wed Feb 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_20
- update to new release by fcimport

